NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.OffsetCurve3DBuilder Class Reference

Represents a NXOpen.Tooling.OffsetCurve3DBuilder builder which implements offset curves along a direction with offset distance in three dimension. More...

Inheritance diagram for NXOpen.Tooling.OffsetCurve3DBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void GetAllReverseDirectionFlags (out bool[] allReverseDirectionFlags)
 Gets reverse direction flags for each offset curve. More...
 
unsafe void SetAllReverseDirectionFlags (bool[] allReverseDirectionFlags)
 Sets reverse direction flags for each offset curve. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe NXOpen.Section OffsetCurves [get]
 Returns the curves to offset. More...
 
unsafe double OffsetDistance [get, set]
 Returns or sets the offset distance. More...
 
unsafe NXOpen.Direction OffsetViewDirection [get, set]
 Returns or sets the reference direction from which to get the offset direction. More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the flag of reverse all offset direction. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.OffsetCurve3DBuilder builder which implements offset curves along a direction with offset distance in three dimension.

This builder's Commit can produce more than one offset curves, the GetCommittedObjects can be used to get the objects.

To create a new instance of this class, use NXOpen.Tooling.CAMDataManager.CreateOffsetCurve3dBuilder

Default values.

Property Value

DistanceTolerance (deprecated)

0.0254 (millimeters part), 0.001 (inches part)

OffsetDistance (deprecated)

10 (millimeters part), 0.4 (inches part)

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder instead

Member Function Documentation

unsafe void NXOpen.Tooling.OffsetCurve3DBuilder.GetAllReverseDirectionFlags ( out bool[]  allReverseDirectionFlags)
inline

Gets reverse direction flags for each offset curve.

Created in NX9.0.0

Deprecated in NX10.0.0.

License requirements: None.

Parameters
allReverseDirectionFlagsthe reverse direction flags for each offset curve
unsafe void NXOpen.Tooling.OffsetCurve3DBuilder.SetAllReverseDirectionFlags ( bool[]  allReverseDirectionFlags)
inline

Sets reverse direction flags for each offset curve.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder.FlipOffsetCurveDirection instead

License requirements: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

Parameters
allReverseDirectionFlagsthe reverse direction flags for each offset curve

Property Documentation

unsafe double NXOpen.Tooling.OffsetCurve3DBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.GeometricUtilities.CurveFitData.Tolerance instead

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Section NXOpen.Tooling.OffsetCurve3DBuilder.OffsetCurves
get

Returns the curves to offset.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder.OffsetCurves instead

License requirements: None.

unsafe double NXOpen.Tooling.OffsetCurve3DBuilder.OffsetDistance
getset

Returns or sets the offset distance.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder.OffsetDistance instead

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.Direction NXOpen.Tooling.OffsetCurve3DBuilder.OffsetViewDirection
getset

Returns or sets the reference direction from which to get the offset direction.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder.OffsetViewDirection instead

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.Tooling.OffsetCurve3DBuilder.ReverseDirection
getset

Returns or sets the flag of reverse all offset direction.

Created in NX9.0.0

Deprecated in NX10.0.0. Please use NXOpen.Features.Offset3DCurveBuilder.ReverseSide instead

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.